@extends('admin')

@section('title')
    NotaireApp - Formules d'actes et clauses
@endsection

@section('menu-title')
    <!-- BEGIN: Breadcrumb -->
    <div class="-intro-x breadcrumb mr-auto hidden sm:flex"> <a href="{{ url('/admin') }}" class="">NotairesApp</a> <i
            data-feather="chevron-right" class="breadcrumb__icon"></i> <a href="#/" class="breadcrumb--active"> Formules
            d'actes et clauses</a> </div>
    <!-- END: Breadcrumb -->
@endsection

@section('content')
    <div class="box font-semibold">
        <form action="" id='form_data'>
            <div class="frm p-3">
                <div class="grid lg:grid-cols-2 md:grid-cols-2 sm:grid-cols-1 gap-2">
                    <div class="mt-2">
                        <label for="">Catégorie</label>
                        <select name="cat" class="input w-full border-2 mt-2 cad_sous_cat_form">
                            <option value="0" class="">Sélectionnez une catégorie</option>
                            @foreach ($FormCats as $item)
                                <option value="{{ $item->desc }}" data-id="{{ $item->id }}">{{ $item->desc }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                    <div class="mt-2">
                        <label for="">Sous Catégorie</label>
                        <select class="input w-full mt-2  border-2 l_sou_cat_formul" name="sous_cat">
                            <option value="-1" class="text-green-500 font-semibold">Sélectionnez une catégorie</option>
                        </select>
                    </div>
                    <div class="mt-2">
                        <label for="">Pièce joint</label>
                        <input type="file" class="input w-full mt-2 joint border-2" name="joint" id="">
                    </div>
                </div>

                <div class="grid justify-items-center mt-4">
                    <button class="button w-32 mr-2 mb-2 flex items-center justify-center bg-theme-9 text-white save">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                            fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                            stroke-linejoin="round" class="feather feather-save w-4 h-4 mr-2">
                            <path d="M19 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11l5 5v11a2 2 0 0 1-2 2z"></path>
                            <polyline points="17 21 17 13 7 13 7 21"></polyline>
                            <polyline points="7 3 7 8 15 8"></polyline>
                        </svg>Ajouter
                    </button>
                </div>
            </div>
        </form>
    </div>
    <div class="box font-semibold mt-2 p-2">
        <div class="overflow-x-auto ">

            <div class="overflow-scroll-y result" style="height:50vh;">
                @include('admin.forms.table-fromel-fill')
                @if (count($Formule) == 0)
                    <div class="text-center mt-5">
                        <span class="text-gray-500">Aucune formule</span>
                    </div>
                @endif
            </div>

        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function() {
            $("body").on('change', '.cad_sous_cat_form', function() {

                if ($('.cad_sous_cat_form').find(':selected').data('id') != 0) {
                    $.ajax({
                        url: `{{ route('get_sous_cat') }}`,
                        type: 'post',
                        dataType: ' json',
                        data: {
                            cat_id: $('.cad_sous_cat_form').find(':selected').data('id'),
                            to: 'yes'
                        },
                        success: function(data) {
                            $('.l_sou_cat_formul').html(data);
                            console.log(data);
                        },
                        error: function(error) {
                            console.log(error);
                        },
                    });
                } else {
                    $('.l_sou_cat_formul').html(
                        `<option value = '-1' class = 'text-green-500 font-semibold'>Sélectionnez une catégorie</option>`
                    );
                }
            });
            $("body").on('click', '.save', function() {
                event.preventDefault();
                var form_data = new FormData(document.getElementById('form_data'));

                if ($('.cad_sous_cat_form').find(':selected').data('id') > 0) {
                    $.ajax({
                        url: `{{ route('add_formul') }}`,
                        type: 'post',
                        dataType: ' json',
                        // enctype:"multipart/form-data",
                        data: form_data,
                        processData: false,
                        contentType: false,
                        cache: false,

                        success: function(data) {
                            $('.result').html(data);
                            console.log(data);
                        },
                        error: function(error) {
                            console.log(error);
                        },
                    });
                }
            });
        });
    </script>
@endsection
